#
# spec file for package python-unittest-xml-reporting
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-unittest-xml-reporting
Version:        2.5.2
Release:        bp153.1.20
Summary:        PyUnit-based test runner with JUnit like XML reporting
License:        LGPL-3.0-or-later
URL:            https://github.com/danielfm/unittest-xml-reporting
Source:         https://github.com/xmlrunner/unittest-xml-reporting/archive/%{version}.tar.gz
BuildRequires:  %{python_module lxml}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six >= 1.4.0}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-six >= 1.4.0
Provides:       python-xmlrunner = %{version}
BuildArch:      noarch
%ifpython2
BuildRequires:  python2-mock
%endif
%python_subpackages

%description
unittest-xml-reporting is a unittest test runner that can save test results
to XML files that can be consumed by a wide range of tools, such as build
systems, IDEs and continuous integration servers.

%prep
%setup -q -n unittest-xml-reporting-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# gh#xmlrunner/unittest-xml-reporting#205
%pytest -k 'not test_xmlrunner_non_ascii'

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Feb  7 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 2.5.2
  * add testing for python3.8
  * Fix crash when exceptions contain unicode in buffered output
* Wed Oct  2 2019 Matej Cepl <mcepl@suse.com>
- Skip test_xmlrunner_non_ascii failing with Python 3.8
  gh#xmlrunner/unittest-xml-reporting#205
* Fri Apr 12 2019 Marketa Calabkova <mcalabkova@suse.com>
- update to version 2.5.1
  * no changelog available
* Tue Mar  5 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.2.1:
  * no changelog available
- Enable tests
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu Aug 31 2017 toddrme2178@gmail.com
- Update to version 2.1.0:
  * no changelog available
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Thu May 14 2015 benoit.monin@gmx.fr
- update to version 1.12.0:
  * no changelog available
- remove python-xml from requirement
- add new dependency python-six
- add new dependency python-unittest2 for SLE11
- remove sed call on testsuite.py: not needed anymore
- remove LICENSE and README.markdown: not provided anymore
* Fri Nov 15 2013 p.drouand@gmail.com
- Update to version 1.7.0
  + No changelog available
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Jan 14 2013 p.drouand@gmail.com
- Initial python3 support
* Mon Jan 14 2013 p.drouand@gmail.com
- Update to 1.4.3 version:
  * fix indentation problem
- Update to 1.4 version:
  * Refactor Django test runner to clean up imports
  * Allow bool values in TEST_OUTPUT_VERBOSE for backwards-compatibility
  * Fix Django test runner for renamed XMLTestRunner constructor parameter
  * Fixed syntax error on classifiers section.
  * Added support for Python 3.
  * Renamed constructor parameter to make it compatible with the one used
    in unittest.TextTestRunner.
* Thu Sep  8 2011 saschpe@suse.de
- Added requirement for python-xml
* Thu Sep  8 2011 saschpe@suse.de
- Initial version
